// behavior vars
int current_behavior = 0;
int current_sub_behavior = 0;

// valor desde el serial
byte serial_data;
boolean is_active = true;
String serial_message = "";
int bytes_read = 0;
int const bytes_to_read = 35;
byte serial_pixels[7][5];

// status led
int status_led_pin = 22;

// capacitive sensor
int capacitive_led_pin = 23;
long capacitive_threshold = 11070000;
unsigned long i2c_last_check = 0;
int i2c_delay = 1000;
boolean is_touched = false;
long i2c_value = 0;

// falling switches
int fwd_switch_pin = 4;
int rew_switch_pin = 5;

// buzzer
int buzzer_pin = 30;
unsigned long last_beep = 0;
int beep_length = 200;
boolean is_beeping = false;

// leds
int a_led_pin = 35;
int b_led_pin = 36;
int c_led_pin = 37;
boolean is_shining = false;
int current_led = 1;
boolean is_reading = false;
unsigned long last_read = 0;
int read_length = 500;

// vibrator
int vibrator_pin = 38;
unsigned long last_vibrate = 0;
int vibrate_length = 1000;
boolean is_vibrating = false;

// motors
int motor1pin1 = 24;
int motor1pin2 = 25;
int motor1enable_pin = 26;
int motor2pin1 = 27;
int motor2pin2 = 28;
int motor2enable_pin = 29;

// pines, filas, columnas
int matrix_pins[] = {4,5,6,7,8,9,10,11,12,13,14,15};
int cols[5];
int rows[7];
byte const matrices = 1;
byte const cols_per_matrix = 5; 

// pixeles
char my_message[] = " hello... my name is socially nervous ";
byte const buffer_cols = matrices * cols_per_matrix;
byte const buffer_rows = 7;
byte buffer[buffer_cols][buffer_rows];
int current = 0;
int bc = 0;
int cc = 0;
int ml = strlen(my_message);

// intervalos
int buffer_column = 0;
int refresh_rate = 5;
int ticker_speed = 15 * refresh_rate;
unsigned long last_tick = 0;
int bmp_delay = 2000;
unsigned long last_bmp = 0;
unsigned long last_refresh = 0;

// flags
boolean end_message = false;
int mode = 1; // 0 = string display 1 = bitstring display

// state
int state = 0;
int tmp_state = -1;
String username = "";
int activity_count = 0;
boolean state_changed = false;

// sleep state
int sleep_direction = 1;
int sleep_length = 1400;
unsigned long start_sleeping = 0;
boolean is_sleeping = false;

