void initMotors () {
  pinMode(vibrator_pin,OUTPUT);
}

void enableVibrator () {
  digitalWrite(vibrator_pin,HIGH);
}

void disableVibrator () {
  digitalWrite(vibrator_pin,LOW);
}

void startVibrate (int time) {
  is_vibrating = true;
  vibrate_length = time;
  last_vibrate = millis();
  doVibrate();
}

void doVibrate () {
  if (is_vibrating && (millis()-last_vibrate < vibrate_length)) {
    enableVibrator();
  } else {
    last_vibrate = millis();
    is_vibrating = false;
    disableVibrator();
  }
}


