void initBuzzer () {
  pinMode(buzzer_pin,OUTPUT);
}

void startBeep (int time) {
  is_beeping = true;
  beep_length = time;
  last_beep = millis();
  doBeep();
}

void doBeep () {
  if (is_beeping && (millis()-last_beep < beep_length)) {
    enableBuzzer();
  } else {
    last_beep = millis();
    is_beeping = false;
    disableBuzzer();
  }
}

void enableBuzzer () {
  digitalWrite(buzzer_pin,HIGH);
}

void disableBuzzer () {
  digitalWrite(buzzer_pin,LOW);
}

